/*
Theme Name: Generatepress Child
Description: This is a child theme for Generatepress Theme
Author: Ramon Pons
Template: generatepress
Version: 3.0
*/

/*************** ADD CUSTOM CSS HERE.   ***************/
:root{
	--color-rojo: #d81579;
	--color-azul-negro:#313e47 ;
}
a {
	text-decoration:none;
	font-weight:500;
}
.position-relative {
	position:relative;
}
h1 {
	font-size:3vw;
	font-weight:700;
}

.single-post h2 {
	font-size:1.5rem;
}
.subrayado h1,
.subrayado h2 {
	font-weight: 700;
	position: relative;
}
.subrayado h2 {
	font-size: 2.5vw;
}
.subrayado h1::after,
.subrayado h2::after {
	content: "";
	position: absolute;
	left: 50%;
	bottom: -.5rem;
	width: 348px;
	height: 4px;
	background-color: var(--color-amarillo);
	transform: translateX(-50%);
}
.bold,
.bold a{
	font-weight:600;
}
.clearfix {
	width: 100%;
	height: 1px;
	display: block;
}
.flex-row {
	display:flex;
	align-items:center;
}
.mt-1 {
	margin-top:1rem;
}
.mb-0, .mb-0 p, mb-0 h2{
	margin-bottom:0 !important;
}
.p-sin-margin p,
.p-sin-margin.elementor-element {
	margin:0;
	line-height:1;
}
blockquote {
	border-color: var(--color-rojo-oscuro);
}
/*****
 * cabecera
 * *******/
.top-bar {
	border-bottom: 2px solid var(--color-amarillo);
}
.inside-top-bar {
	padding: 5px 15px;
}
.top-bar i,
.top-bar a i{
	color:var(--color-rojo-oscuro);
	margin-left: .5rem;
	margin-right: .5rem;
}
.top-bar .widget ul li {
	margin-bottom:0;
}

.main-navigation i {
	opacity: .5;
	font-size: 1.1em;
}
.header-widget {
	background-color: #d81579;
	padding: .5rem 1rem;
	border-radius: .5rem;
	color: #fff;
	font-weight: 700;
}
div.wpforms-container-full .wpforms-form input[type="submit"], div.wpforms-container-full .wpforms-form button[type="submit"], div.wpforms-container-full .wpforms-form .wpforms-page-button {
	background-color: var(--color-rojo-oscuro);
	border-radius: .33rem;
	box-shadow: 0 0 5px #555;
	transition: all .5s;
	color:#fff;
}
div.wpforms-container-full .wpforms-form input[type="submit"]:hover, div.wpforms-container-full .wpforms-form input[type="submit"]:focus, div.wpforms-container-full .wpforms-form input[type="submit"]:active, div.wpforms-container-full .wpforms-form button[type="submit"]:hover, div.wpforms-container-full .wpforms-form button[type="submit"]:focus, div.wpforms-container-full .wpforms-form button[type="submit"]:active, div.wpforms-container-full .wpforms-form .wpforms-page-button:hover, div.wpforms-container-full .wpforms-form .wpforms-page-button:active, div.wpforms-container-full .wpforms-form .wpforms-page-button:focus {
	background-color: var(--color-rojo);
	box-shadow: none;
}
#pojo-a11y-toolbar {
	display: flex;
	align-items: end;
	top:auto;
	bottom:1rem;
}
.absoluto-derecha {
	position: absolute !important;
	right: 0;
	width: auto !important;
	overflow: hidden;
	top: 0;
	z-index: 1;
}
.z-index-99 {
	z-index:99;
}
@media only screen and (min-width: 49em) {
/*************** ADD MOBILE ONLY CSS HERE  ***************/
/**
 * cabecera flex logo centrado
 * */
.inside-header {
	display: flex;
	justify-content: space-between;
}
.site-logo {
	order: 0;
}
#site-navigation {
	order: 1;
}	
.header-widget {
	order: 2;
}	
.main-navigation, .main-navigation ul ul {
	border-radius: 5rem;
	border: 2px solid #fff;
}


}
@media only screen and (max-width: 48em) {
/*************** ADD MOBILE ONLY CSS HERE  ***************/

h1 {
	font-size:3vh;
}
	.absoluto-derecha { display: none}
}